J-Security Center

Title: Overland Storage Snap Server 410 'less' Command Local Privilege Escalation Vulnerability

Severity: HIGH

Description:

Overland Storage Snap Server 410 is a network storage device. Snap Server 410 runs the GuardianOS operating system.

Snap Server 410 is prone to a local privilege-escalation vulnerability. Specifically, the 'less' utility can execute arbitrary shell commands through the '!' function. These commands are run with root privileges.

Successful exploits may allow attackers to execute arbitrary code with elevated privileges.

This issue affects Snap Server 410 running GuardianOS 5.1.041; other versions or devices may also be affected.

Affected Products:

  • Overland Storage GuardianOS 5.1.041
  • Overland Storage Snap Server 410

References:

Juniper Networks provides this content via a wide variety of sources and production methods. If notified of errors or omissions in the content of this page, Juniper Networks, at its discretion, will modify or remove the page or leave the content as is, depending on various factors including but not limited to the reputation and authority of the party providing the notification. Please use the contact information displayed elsewhere on this page to report any errors or omissions regarding the content on this page.